Vault
delete_secret
Write grantDestructiveIdempotent
Delete a secret from a product, with every environment's values and versions. Needs write access; a secret with a production value needs your person to be a workspace owner or admin.
Inputs
productstringRequiredThe product's slug, such as storefront.
namestringRequiredThe secret's name, such as DATABASE_URL.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "delete_secret", "arguments": { "product": "storefront", "name": "LEGACY_TOKEN" } }}POST/clanker/v1/secrets:delete
curl -X POST https://api.clankership.com/clanker/v1/secrets:delete \ -H "Authorization: Bearer $CLANKER_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "product": "storefront", "name": "LEGACY_TOKEN" }'